/*
 *  Copyright (C) 2010-2024 Team Kodi
 *  This file is part of Kodi - https://kodi.tv
 *
 *  SPDX-License-Identifier: GPL-2.0-or-later
 *  See LICENSES/README.md for more information.
 */

#version 150

uniform sampler2D m_samp0;
uniform vec4 m_unicol;
in vec2 m_cord0;
out vec4 fragColor;

// SM_TEXTURE shader
void main()
{
  fragColor = texture(m_samp0, m_cord0) * m_unicol;
#if !defined(KODI_LIMITED_RANGE)
  fragColor.rgb = clamp((fragColor.rgb-(16.0/255.0)) * 255.0/219.0, 0, 1);
#endif
}
